package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.Resrce;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
public interface ResrceService extends IService<Resrce> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Resrce> selectPage(FrontPage<Resrce> frontPage, Resrce resrce);

    List<Resrce> selectList(Resrce resrce);

    /**
     * 根据资源类型查询资源清单
     *
     * @param site
     * @param resourceType
     * @return
     */
    List<Resrce> getResourceListByType(String site, String resourceType);

    /**
     * 查询站点下所有资源类型与资源关系清单
     *
     * @param site
     * @return
     */
    List<Map<String, Object>> getResourceTypeResourceList(String site);

    Resrce findByResrce(String resrce);

    List<Resrce> findAllResrce();
}